import { slugify } from 'transliteration';
import { PLUGIN_NAME } from './utils.js';
export const permainkPinyinPlugin = (options) => (app) => {
    const pluginObj = {
        name: PLUGIN_NAME,
        extendsPage: (page) => {
            const pathArr = decodeURIComponent(page.path).split('/');
            const mergeOptions = Object.assign({}, options, { ignore: ['/', '.'] });
            page.path = page.pathInferred = pathArr
                .map((str) => slugify(str, mergeOptions))
                .join('/');
        },
    };
    return pluginObj;
};
